OMToolkit 1.0 The polygonal mesh processing tool.

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
OMComputeMatrices Class Reference

`#include <ComputeMatrices.h>`

Inheritance diagram for OMComputeMatrices:

## Public Member Functions
| MDS_SHAREDPTR (OMComputeMatrices)
| OMComputeMatrices (const std::string &sDescription)
virtual | ~OMComputeMatrices ()
| MDS_SHAREDPTR (OMComputeMatrices)
| OMComputeMatrices (const std::string &sDescription)
virtual | ~OMComputeMatrices ()
| MDS_SHAREDPTR (OMComputeMatrices)
| OMComputeMatrices (const std::string &sDescription)
virtual | ~OMComputeMatrices ()

## Protected Member Functions
virtual bool | startup ()
virtual bool | main ()
virtual void | shutdown ()
virtual void | writeExtendedUsage (std::ostream &Stream)
virtual bool | startup ()
virtual bool | main ()
virtual void | shutdown ()
virtual void | writeExtendedUsage (std::ostream &Stream)
virtual bool | startup ()
virtual bool | main ()
virtual void | shutdown ()
virtual void | writeExtendedUsage (std::ostream &Stream)

## Protected Attributes
double | m_size
double | m_resolution
std::string | m_direction
std::string | m_directionZ
bool | m_relative

## Detailed Description

Module rasterizes vertex neighbourhood on a tangent raster

## Constructor & Destructor Documentation

OMComputeMatrices::OMComputeMatrices | ( | const std::string & | sDescription | ) |

Constructor

Parameters

  sDescription | Description of the module

OMComputeMatrices::~OMComputeMatrices | ( |  | ) |
| virtual

Virtual destructor

OMComputeMatrices::OMComputeMatrices | ( | const std::string & | sDescription | ) |

Constructor

Parameters

  sDescription | Description of the module

virtual OMComputeMatrices::~OMComputeMatrices | ( |  | ) |
| virtual

Virtual destructor

OMComputeMatrices::OMComputeMatrices | ( | const std::string & | sDescription | ) |

Constructor

Parameters

  sDescription | Description of the module

virtual OMComputeMatrices::~OMComputeMatrices | ( |  | ) |
| virtual

Virtual destructor

## Member Function Documentation

bool OMComputeMatrices::main | ( |  | ) |
| protected virtual

Virtual method called by the processing thread

Returns
  True if main loop continues

virtual bool OMComputeMatrices::main | ( |  | ) |
| protected virtual

Virtual method called by the processing thread

Returns
  True if main loop continues

virtual bool OMComputeMatrices::main | ( |  | ) |
| protected virtual

Virtual method called by the processing thread

Returns
  True if main loop continues

OMComputeMatrices::MDS_SHAREDPTR | ( | OMComputeMatrices |  | ) |

Smart pointer type

OMComputeMatrices::MDS_SHAREDPTR | ( | OMComputeMatrices |  | ) |

Smart pointer type

OMComputeMatrices::MDS_SHAREDPTR | ( | OMComputeMatrices |  | ) |

Smart pointer type

void OMComputeMatrices::shutdown | ( |  | ) |
| protected virtual

Called on console shutdown

virtual void OMComputeMatrices::shutdown | ( |  | ) |
| protected virtual

Called on console shutdown

virtual void OMComputeMatrices::shutdown | ( |  | ) |
| protected virtual

Called on console shutdown

bool OMComputeMatrices::startup | ( |  | ) |
| protected virtual

Virtual method called on startup

Returns
  True if startup was successful

virtual bool OMComputeMatrices::startup | ( |  | ) |
| protected virtual

Virtual method called on startup

Returns
  True if startup was successful

virtual bool OMComputeMatrices::startup | ( |  | ) |
| protected virtual

Virtual method called on startup

Returns
  True if startup was successful

void OMComputeMatrices::writeExtendedUsage | ( | std::ostream & | Stream | ) |
| protected virtual

Called on writing a usage statement

Parameters

  Stream | Output stream

virtual void OMComputeMatrices::writeExtendedUsage | ( | std::ostream & | Stream | ) |
| protected virtual

Called on writing a usage statement

Parameters

  Stream | Output stream

virtual void OMComputeMatrices::writeExtendedUsage | ( | std::ostream & | Stream | ) |
| protected virtual

Called on writing a usage statement

Parameters

  Stream | Output stream

## Member Data Documentation

std::string OMComputeMatrices::m_direction
| protected

Intern matrix X direction

std::string OMComputeMatrices::m_directionZ
| protected

Intern matrix Z direction

bool OMComputeMatrices::m_relative
| protected

Intern compute relative length flag

double OMComputeMatrices::m_resolution
| protected

Intern matrix resolution option

double OMComputeMatrices::m_size
| protected

Intern matrix size option

The documentation for this class was generated from the following files:

- trunk/src/modules/ComputeMatrices/ComputeMatrices.h
- trunk/src/modules/ComputeMatricesHW/ComputeMatricesHW.h
- trunk/src/modules/DetectEdges/DetectEdges.h
- trunk/src/modules/ComputeMatrices/ComputeMatrices.cpp
- trunk/src/modules/ComputeMatricesHW/ComputeMatricesHW.cpp
- trunk/src/modules/DetectEdges/DetectEdges.cpp